# SKU-inventory item pairs

In [Digital River coordinated fulfillments](/digital-river-api/integration-options/checkouts/handling-digital-river-coordinated-fulfillments.md), your [SKUs](https://docs.digitalriver.com/digital-river-api-reference/2021-12-13/skus) and [inventory items](https://docs.digitalriver.com/digital-river-api-reference/2021-12-13/inventory-items) form synchronized pairs. While [building checkouts](/digital-river-api/integration-options/checkouts/creating-checkouts.md), [processing orders](/digital-river-api/order-management/creating-and-updating-an-order.md), and [fulfilling goods](/digital-river-api/order-management/fulfillments.md), their [shared attributes](#shared-attributes) must remain synchronized.

This allows these resources to be used interchangeably during order processing and product fulfillment.

How you create these pairs and maintain this synchronicity depends on whether you're using the [distributed model](/digital-river-api/integration-options/checkouts/handling-digital-river-coordinated-fulfillments.md#distributed-model) or the [orchestrated model](/digital-river-api/integration-options/checkouts/handling-digital-river-coordinated-fulfillments.md#orchestrated-model).

In the [orchestrated model](/digital-river-api/integration-options/checkouts/handling-digital-river-coordinated-fulfillments.md#orchestrated-model), Digital River automates the synchronization process. All you have to do is [configure the SKU's `managedFulfillment` ](/digital-river-api/product-management/creating-and-updating-skus.md#managed-fulfillments)attribute. In the [distributed model](/digital-river-api/integration-options/checkouts/handling-digital-river-coordinated-fulfillments.md#distributed-model), you maintain data consistency between your SKU-inventory item pairs.

## Shared attributes

[SKUs](/digital-river-api/product-management/skus.md#skus) and [inventory items](/digital-river-api/product-management/skus.md#inventory-items) share certain attributes. In both resources, you can set its identifier, country of origin, export control classification number, manufacturer identifier, part number, and Harmonized System code. You can also indicate whether a product can be oversold.

In [Digital River coordinated fulfillments](/digital-river-api/integration-options/checkouts/handling-digital-river-coordinated-fulfillments.md), these common attributes must remain harmonized. How that harmonization is achieved, depends on whether you're using the [distributed](/digital-river-api/integration-options/checkouts/handling-digital-river-coordinated-fulfillments.md#distributed-model) or the [orchestrated model](/digital-river-api/integration-options/checkouts/handling-digital-river-coordinated-fulfillments.md#orchestrated-model).

Use the links in the following table to be directed to the resource-specific documentation for each attribute.

| SKUs                                                                                                                    | Inventory items                                                                                                         |
| ----------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------- |
| [`id`](/digital-river-api/product-management/creating-and-updating-skus.md#unique-identifier)                           | [`id`](/digital-river-api/product-management/managing-inventory.md#unique-identifier)                                   |
| [`manufacturerId`](/digital-river-api/product-management/creating-and-updating-skus.md#manufacturer-id-and-part-number) | [`manufacturerId`](/digital-river-api/product-management/managing-inventory.md#manufacturer-identifier-and-part-number) |
| [`partNumber`](/digital-river-api/product-management/creating-and-updating-skus.md#manufacturer-id-and-part-number)     | [`partNumber`](/digital-river-api/product-management/managing-inventory.md#manufacturer-identifier-and-part-number)     |
| [`countryOfOrigin`](/digital-river-api/product-management/creating-and-updating-skus.md#country-of-origin)              | [`countryOfOrigin`](/digital-river-api/product-management/managing-inventory.md#country-of-origin)                      |
| [`eccn`](/digital-river-api/product-management/creating-and-updating-skus.md#eccn)                                      | [`eccn`](/digital-river-api/product-management/managing-inventory.md#eccn)                                              |
| [`hsCode`](/digital-river-api/product-management/creating-and-updating-skus.md#harmonized-system-code)                  | [`hsCode`](/digital-river-api/product-management/managing-inventory.md#harmonized-system-code)                          |
| [`allowOversell`](/digital-river-api/product-management/creating-and-updating-skus.md#allow-oversell)                   | [`allowOversell`](/digital-river-api/product-management/managing-inventory.md#allow-oversell)                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalriver.com/digital-river-api/product-management/common-attributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
